---
url: "https://vueda.dev/v3/reference/api/js/stores/storeUser/methods/changePassword.md"
title: "changePassword"
---

# changePassword

## Overview

Changes the signed-in user's password.

## Signature

`changePassword(payload)`

### Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| <span id="param-payload">payload</span> | `object` | yes | The request body. |

#### payload Properties

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| <span id="param-payload-new_password1">new_password1</span> | `string` |  |  | The new password. |
| <span id="param-payload-new_password2">new_password2</span> | `string` |  |  | The new password again, for confirmation. |
| <span id="param-payload-old_password">old_password</span> | `string` |  |  | The current password. |

### Returns

`Promise`

The decoded response data.

## Source

`client/lib/stores/storeUser.js:459`
